/* Variables */
:root {
  --pastel-pink: #F5F3F0;
  --pastel-body-bg: #F4E6E5;
  --pastel-blue: #C9E1E1;
  --pastel-beige: #E9DABD;
  --pastel-green: #69AFA9;
  --pastel-button: #cfc2bc;
  --text-dark: #333333;
  --text-light: #ffffff;
  --text-button: #585857;
  --font-title: 'Playfair Display', serif;
  --font-text: 'Poppins', sans-serif;
  --font-size-xxl: 3rem;
  --font-size-xl: 2.5rem;
  --font-size-lg: 1.5rem;
  --font-size-md: 1.125rem;
  --font-size-sm: 0.875rem; 
}


body {
  margin: 0;
  font-family: var(--font-text);
  background: var(--pastel-pink);
  color: var(--text-dark);
}






/* Nav section*/
#apla_up {
  background: var(--pastel-body-bg);
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;  
  align-items: center;  
  text-align: center;  
}

nav {
  width: 100%;              
  text-align: center; 
}

nav, #shop, #newsletter, #shop_section, #review_section, footer, #left_footer {
  max-width: 1400px;
  margin-top: 2rem;
  padding: 0 2%;
  box-sizing: border-box;
}

#up_nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#up_nav #mobile {
    display: none;
  }

#nav_icon {
    display: flex;
    gap: 34px;
}

#up_nav a {
  background: var(--pastel-green);
  color: var(--text-light);
  font-family: var(--font-title);
  font-size: var(--font-size-xl);
  text-decoration: none;
  padding: 0 1rem;
}

.nav_links {
  display: flex;       
  list-style: none;
  padding: 0;
  margin: 1rem 0 0 0;
}

.nav_links li {
  flex: 1;  
}

.nav_links li a {
  display: block;
  width: 100%;
  padding: 1rem 0;
  text-decoration: none;
  color: var(--text-dark);
  font-weight: 700;
}

.nav_links li a:hover {
  color: var(--accent);
  text-decoration: underline;
}

.nav_search {
  display: none;
}

.hamburger_wrapper {
  display: none;
}





/* main section*/
main {
  display: flex;
  flex-direction: column;
  justify-content: center;  
  align-items: center;  
  text-align: center; 
}

main h1 {
  font-family: var(--font-title);
  font-size:var(--font-size-xxl);
  font-weight: 600;
  color: var(--pastel-green);
  line-height: 1.6;
  margin: 6rem 0 2rem 0;
}

main img {
  max-width: 80%;
}



/* shop section */
#shop {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 20rem auto;            
  gap: 4rem;  
}

#shop img {
  max-width: 45%;
}

#shop h2 {
  font-family: var(--font-title);
  font-size: var(--font-size-xl);  
  margin: 0;
}



/* Newsletter section */
#newsletter {
display: flex;
flex-direction: column;
align-items: center;
margin: 20rem auto;        
}

#newsletter p:first-child {
  font-size: var(--font-size-sm);
  letter-spacing: 2px;
  font-style: italic;
}

#newsletter p:nth-child(2) {
  font-family: var(--font-title);
  font-size: var(--font-size-xl);
  font-weight: 600;
  font-style: italic;
  margin: 0;
}

#newsletter p:nth-child(3) {
  font-size: var(--font-size-md);
  max-width: 80%;
}

#newsletter input[type="email"] {
  padding: 1.5rem;
  border: 2px solid white;
  border-radius: 0.5rem;
  font-size: var(--font-size-md);
  width: 40rem;
  max-width: 100%;
  margin: 2.5rem 0 2.5rem 0;
}

.main_button {
  background: var(--pastel-button);
  color: var(--text-button);
  font-size: var(--font-size-md);
  border: none;
  padding: 22px 40px;
  border-radius: 0.5rem;
  cursor: pointer;
  font-weight: bold;
  transition: background 0.3s;
}

.main_button:hover {
  background: #c2b9b5;
}


/* shop section */
#shop_section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; 
  gap: 20px;
  margin: 20rem 0;
  margin-left: auto;    
  margin-right: auto;
}

#first_s,
#second_s,
#third_s,
#fourth_s {
  flex: 1 1 48%;
  aspect-ratio: 1 / 1;
  min-width: 250px;
  background-size: 100%;
  background-position: center;
  background-repeat: no-repeat;
  transition: background-size 0.4s ease;
}

#first_s:hover,
#second_s:hover,
#third_s:hover,
#fourth_s:hover {
  background-size: 103%;
  cursor: pointer;
  
}

#first_s { background-image: url(img/pottery.svg); }
#second_s { background-image: url(img/handmade.svg); }
#third_s { background-image: url(img/jewelry_making.svg); }
#fourth_s { background-image: url(img/linocut.svg); }




/* revie section */
#review_section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;             
  margin: 20rem 0 10rem 0; 
  margin-left: auto;
  margin-right: auto; 
}

.review_box {
  background: var(--text-light);
  padding: 1.5rem;
  border-radius: 0.5rem;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  flex: 1 1 300px;
  max-width: 450px;  
  min-height: 450px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}



.star_icon {
  display: flex;
  gap: 0.5rem;
}



.review_text h3 {
  font-family: var(--font-title);
  font-size: var(--font-size-lg);
  margin: 1.2rem 0 0.5rem 0;
}

.review_text p {
  font-size: var(--font-size-md);
  margin: 0;
  line-height: 1.5;
}




/* footer section */
#apla_down {
  background: var(--pastel-body-bg);
  width: 100%;    
  display: flex;
  justify-content: center;
}

footer {
  color: var(--text-dark);
  display: flex;
  justify-content: space-between; 
  padding: 4rem 0;
  box-sizing: border-box;      
  gap: 3rem;
  margin: 2rem 0;
}

footer, footer > div {
  width: 100%;
  box-sizing: border-box;
  padding: 0 2%;
}

.left_footer {
  display: flex; 
}

#links {
  padding-right: 8rem;
}

.mission {
  display: flex; 
  flex-direction: column; 
  gap: 10px;      
  max-width: 600px;
}

 h4 {
  font-family: var(--font-title);
  font-size: var(--font-size-lg);
}

footer p {
  font-size: var(--font-size-sm);
  line-height: 1.5;
  margin: 0.5rem 0;
}

#s_media_icon {
  display: flex;
  flex-direction: row-reverse;
  gap: 1rem;
  margin: 1rem 0;
}

#s_media_icon img {
  width: 24px;
  height: auto;
}

#links h4, #info h4, .mission h4{
margin: 0;
padding-bottom: 1rem;
text-decoration: underline;
}

#links ul, #info ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#links li, #info li {
  margin: 0.5rem 0;
}

#links a, #info a {
  color: var(--text-dark);
  text-decoration: none;
}

#links a:hover, #info a:hover {
  text-decoration: underline;
}








/* mobile version */


@media (max-width: 768px) {
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  body {
    background: var(--pastel-pink);
  }

  #shop,#newsletter, #shop_section,#review_section, footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 100%;
  margin: 8rem 0;
  }


/* nav section */
.hamburger_wrapper {
    position: relative;
    display: inline-block;
  }

.mobile_menu {
  display: none;
  position: absolute;
  top: 120%;
  right: 0;
  background: var(--pastel-body-bg);
  list-style: none;
  padding: 1rem;
  margin: 0;
  flex-direction: column;
  gap: 1rem;
  border-radius: 0.5rem;
  box-shadow: 0 10px 30px rgba(0,0,0,0.15);
  min-width: 220px;
  z-index: 1000;
}

.mobile_menu li a {
  display: block;
  padding: 0.5rem 0;
  text-decoration: none;
  color: var(--text-dark);
}

.hamburger_wrapper {
  position: relative;
}


  .hamburger_wrapper:hover .mobile_menu {
    display: flex;
  }

  .nav_links {
    display: none;
  }

  .nav_search {
    display: flex;
    width: 100%;
    max-width: 100%;
    margin-top: 1rem;
  }

  .nav_search input {
    flex: 1;
    padding: 1rem;
    font-size: 1rem;
    border: 2px solid #ccc;
    border-right: none;
    border-radius: 0.5rem 0 0 0.5rem;
    outline: none;
  }

  .nav_search button {
    width: 56px;
    border: 2px solid #ccc;
    border-left: none;
    background: var(--pastel-pink);
    border-radius: 0 0.5rem 0.5rem 0;
    cursor: pointer;
  }

  .nav_search button img {
    width: 20px;
    height: 20px;
  }


  /* main section */
  main h1 {
  margin-bottom: 1rem;
  font-size: clamp(2rem, 5vw, 3rem);
  }




  /* shop section */

  #shop p {
  margin: 1.5rem 0;
  }

  #shop img {
    max-width: 60%;
  }




/* newsletter section */
#newsletter {
    gap: 1rem;
}

#newsletter p {
    line-height: 1.6; 
}

#newsletter input[type="email"] {
  padding: 3%;
  margin: 0.5rem 0; 
}



/* shop cat section */
  #shop_section {
    flex-direction: column;
    gap: 20px;
  }

  #first_s, #second_s, #third_s, #fourth_s {
    width: 85%;
    aspect-ratio: 1/1;
  }


  #shop_section {
    flex-direction: column;
    align-items: center;  
    margin: 5rem 0;        
    gap: 20px;
  }

  #first_s,
  #second_s,
  #third_s,
  #fourth_s {
    flex: 1 1 80%;    
    max-width: 400px;     
  }





  
/* review section */
.review_box {
  text-align: left;
}

.star_icon {
  display: flex;
  width: 50%;             
}

.star_icon img {
  width: 36%;
}




/* footer section */
  .left_footer {
    display: flex;
    justify-content: center;
    gap: 1rem;
    align-items: center;
    padding: 0;
  }

  .mission {
    padding: 0;
  }
  
#links {
  padding-right: 1rem;
}

  #s_media_icon {
    display: flex;
    justify-content: center;  
    gap: 10px;             
}
}

@media (max-width: 400px) {
  #up_nav #pc {
    display: none;
  }

  #up_nav #mobile {
    display: block;
  }
}